## ros-noetic-hector-localization 0.4.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(hector_localization)
find_package(catkin REQUIRED)
catkin_metapackage()

=== debian/changelog ===
ros-noetic-hector-localization (0.4.0-1buster) buster; urgency=high

  * Update maintainer email address
  * Increase minimum CMake version to 3.0.2 to avoid the CMP0048 warning
    See
    http://wiki.ros.org/noetic/Migration#Increase_required_CMake_version_to_avoid_author_warning
    for details.
  * Contributors: Johannes Meyer

 -- Johannes Meyer <joh@nnes-meyer.de>  Mon, 15 Feb 2021 23:00:00 -0000

ros-noetic-hector-localization (0.3.0-1buster) buster; urgency=high



 -- Johannes Meyer <joh@nnes-meyer.de>  Sun, 26 Jun 2016 22:00:00 -0000

ros-noetic-hector-localization (0.2.2-1buster) buster; urgency=high



 -- Johannes Meyer <joh@nnes-meyer.de>  Thu, 23 Jun 2016 22:00:00 -0000

ros-noetic-hector-localization (0.2.1-1buster) buster; urgency=high



 -- Johannes Meyer <joh@nnes-meyer.de>  Sat, 07 Nov 2015 23:00:00 -0000

ros-noetic-hector-localization (0.2.0-1buster) buster; urgency=high



 -- Johannes Meyer <joh@nnes-meyer.de>  Sat, 21 Feb 2015 23:00:00 -0000

ros-noetic-hector-localization (0.1.5-1buster) buster; urgency=high



 -- Johannes Meyer <joh@nnes-meyer.de>  Wed, 01 Oct 2014 22:00:00 -0000

ros-noetic-hector-localization (0.1.4-1buster) buster; urgency=high

  * Removed package world_magnetic_model as it is currently not used by hector_pose_estimation
    The package is still available in the world_magnetic_model branch.
  * Contributors: Johannes Meyer

 -- Johannes Meyer <joh@nnes-meyer.de>  Wed, 27 Aug 2014 22:00:00 -0000

ros-noetic-hector-localization (0.1.3-1buster) buster; urgency=high



 -- Johannes Meyer <joh@nnes-meyer.de>  Tue, 08 Jul 2014 22:00:00 -0000

ros-noetic-hector-localization (0.1.2-1buster) buster; urgency=high



 -- Johannes Meyer <joh@nnes-meyer.de>  Sun, 01 Jun 2014 22:00:00 -0000

ros-noetic-hector-localization (0.1.1-1buster) buster; urgency=high

  * made hector_localization a true metapackage
  * Contributors: Johannes Meyer

 -- Johannes Meyer <joh@nnes-meyer.de>  Sat, 29 Mar 2014 23:00:00 -0000

ros-noetic-hector-localization (0.1.0-1buster) buster; urgency=high

  * catkinized stack hector_localization

 -- Johannes Meyer <joh@nnes-meyer.de>  Mon, 02 Sep 2013 22:00:00 -0000

=== debian/control ===
Source: ros-noetic-hector-localization
Section: misc
Priority: optional
Maintainer: Johannes Meyer <joh@nnes-meyer.de>
Build-Depends: debhelper (>= 9.0.0), ros-noetic-catkin
Homepage: http://ros.org/wiki/hector_localization
Standards-Version: 3.9.2

Package: ros-noetic-hector-localization
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-hector-pose-estimation, ros-noetic-hector-pose-estimation-core, ros-noetic-message-to-tf
Description: The hector_localization stack is a collection of packages, that provide the full 6DOF pose of a robot or platform.
 It uses various sensor sources, which are fused using an Extended Kalman filter. Acceleration and angular rates from an inertial measurement unit (IMU) serve as primary measurements. The usage of other sensors is application-dependent. The hector_localization stack currently supports GPS, magnetometer, barometric pressure sensors and other external sources that provide a geometry_msgs/PoseWithCovariance message via the poseupdate topic.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-hector-localization//opt/ros/noetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install
